import { SecurityContext, SecurityIdentity } from "@webiny/api-security/types";
import { ContextPlugin } from "@webiny/handler";
type Context = SecurityContext;
export interface AuthenticatorConfig {
    domain: string;
    getIdentity(params: {
        token: {
            [key: string]: any;
        };
    }): SecurityIdentity;
}
export declare const createAuthenticator: (config: AuthenticatorConfig) => ContextPlugin<Context>;
export {};
