"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "createAuth0", {
  enumerable: true,
  get: function () {
    return _createAuth.createAuth0;
  }
});
Object.defineProperty(exports, "createAuthenticator", {
  enumerable: true,
  get: function () {
    return _createAuthenticator.createAuthenticator;
  }
});
exports.createGroupAuthorizer = void 0;
Object.defineProperty(exports, "createGroupsTeamsAuthorizer", {
  enumerable: true,
  get: function () {
    return _apiSecurity.createGroupsTeamsAuthorizer;
  }
});
Object.defineProperty(exports, "createIdentityType", {
  enumerable: true,
  get: function () {
    return _createIdentityType.createIdentityType;
  }
});
var _apiSecurity = require("@webiny/api-security");
var _createIdentityType = require("./createIdentityType");
var _createAuthenticator = require("./createAuthenticator");
var _createAuth = require("./createAuth0");
// Backwards compatibility.
// @deprecated Use `createGroupsTeamsAuthorizer` instead.
const createGroupAuthorizer = exports.createGroupAuthorizer = _apiSecurity.createGroupsTeamsAuthorizer;

// @deprecated Use `GroupsTeamsAuthorizerConfig` instead.

//# sourceMappingURL=index.js.map